Subject: Re: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Stefan Monnier <[email-masked]>
Date: Mon, 20 Feb 2023 09:16:15 -0500

>> And for the stack overflow I haven't yet found its origin.
> There is no stack overflow here, AFAIU.  It's simply that the prepended
> regexp matches one or more (without any upper bound) characters except
> "<>\n", which means that we backtrack _a lot_ when the line is long.

There is clearly a stack overflow since the OP showed stack overflow
errors in *Messages*.

And the stack overflow is in the rest of the regexp: the `+?` repetition
uses only ever 1 stack slot no matter how long a match we consider
(contrary to the `+` and `*` repetitions which use N stack slots for the
N repetitions of the longest match).

        Stefan